=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.78.0~),
+               extra-cmake-modules (>= 5.80.0~),
                libqt5sql5-sqlite:native,
                libqt5x11extras5-dev (>= 5.14.0~),
                libx11-dev,
@@ -22,7 +22,7 @@
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.14.0~),
                qttools5-dev (>= 5.4),
-               qttools5-dev-tools (>= 5.4)
+               qttools5-dev-tools (>= 5.4),
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/kwindowsystem
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwindowsystem
@@ -46,7 +46,7 @@
 Architecture: any
 Depends: libkf5windowsystem5 (= ${binary:Version}),
          qtbase5-dev (>= 5.14.0~),
-         ${misc:Depends}
+         ${misc:Depends},
 Recommends: libkf5windowsystem-doc (= ${source:Version})
 Description: development files for kwindowsystem
  The class KWindowSystem provides information about the state of the
