=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: kwindowsystem
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>,
-           Norbert Preining <norbert@preining.info>
-Build-Depends: cmake (>= 3.5~),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.86.0~),
+               extra-cmake-modules (>= 5.92.0~),
                libqt5sql5-sqlite:native,
-               libqt5x11extras5-dev (>= 5.14.0~),
+               libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,
                libxcb-icccm4-dev <!nocheck>,
                libxcb-keysyms1-dev,
@@ -20,13 +20,13 @@
                libxrender-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.14.0~),
+               qtbase5-dev (>= 5.15.2~),
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/frameworks/kwindowsystem
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwindowsystem
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwindowsystem.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwindowsystem
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwindowsystem
 Rules-Requires-Root: no
 
 Package: libkf5windowsystem-data
@@ -45,7 +45,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5windowsystem5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.14.0~),
+         qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Recommends: libkf5windowsystem-doc (= ${source:Version})
 Description: development files for kwindowsystem
@@ -63,7 +63,7 @@
         libkf5runner-dev (<< 5.54),
         libkf5textwidgets-dev (<< 5.54),
         libkf5wallet-dev (<< 5.54),
-        libkf5xmlgui-dev (<< 5.54)
+        libkf5xmlgui-dev (<< 5.54),
 
 Package: libkf5windowsystem-doc
 Architecture: all
@@ -83,7 +83,7 @@
 Multi-Arch: same
 Depends: libkf5windowsystem-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Recommends: kwayland-integration, qtwayland5
 Description: Convenience access to certain properties and features of the window manager
  The class KWindowSystem provides information about the state of the
@@ -109,4 +109,4 @@
         libkf5xmlgui5 (<< 5.54),
         plasma-framework (<< 5.54),
         qml-module-org-kde-kquickcontrols (<< 5.54),
-        qml-module-org-kde-kwindowsystem (<< 5.54)
+        qml-module-org-kde-kwindowsystem (<< 5.54),
